
local SHADOWBEAST_ADDON_FIRE = Bot.Template("SHADOWBEAST_ADDON_FIRE", "KYRMIR_SHADOWBEAST_ADDON_FIRE"); 

SHADOWBEAST_ADDON_FIRE.setLevel(0);
SHADOWBEAST_ADDON_FIRE.setMagicLevel(0);

SHADOWBEAST_ADDON_FIRE.setHealth(300);
SHADOWBEAST_ADDON_FIRE.setRespawnTime(630);

SHADOWBEAST_ADDON_FIRE.setDamage(DAMAGE_EDGE, 160);

SHADOWBEAST_ADDON_FIRE.setProtection(DAMAGE_EDGE, 0);
SHADOWBEAST_ADDON_FIRE.setProtection(DAMAGE_BLUNT, 500);
SHADOWBEAST_ADDON_FIRE.setProtection(DAMAGE_FIRE, 0);
SHADOWBEAST_ADDON_FIRE.setProtection(DAMAGE_MAGIC, 15);
SHADOWBEAST_ADDON_FIRE.setProtection(DAMAGE_POINT, 25);

// Fight system
SHADOWBEAST_ADDON_FIRE.setWarnTime(6);
SHADOWBEAST_ADDON_FIRE.setHitDistance(200);
SHADOWBEAST_ADDON_FIRE.setChaseDistance(1800);
SHADOWBEAST_ADDON_FIRE.setDetectionDistance(1200);
SHADOWBEAST_ADDON_FIRE.setAttackSpeed(2100);

SHADOWBEAST_ADDON_FIRE.setInitiativeFunction(STANDARD_ANIMAL_AI);

SHADOWBEAST_ADDON_FIRE.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;

    switch(random(0, 4))
    {
        case 0: bot.playAni("R_ROAM1"); break;				
        case 1: bot.playAni("R_ROAM2"); break;
        case 2: bot.playAni("T_STAND_2_EAT"); break;	
        case 3: bot.playAni("T_PERCEPTION"); break;	
        case 4: bot.playAni("S_SLEEP"); break;	
    }

    bot.setAngle(rand() % 360);
});

registerMonsterTemplate("KYRMIR_SHADOWBEAST_ADDON_FIRE", SHADOWBEAST_ADDON_FIRE);

// Drop
registerMonsterReward("KYRMIR_SHADOWBEAST_ADDON_FIRE", Reward.Content(600)
    .addDrop(Reward.Drop("ITMI_GOLD", 300, 300))
);

// Spawnlist
spawnBot(SHADOWBEAST_ADDON_FIRE, 3544, -3133, 27761, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, -6560, -2755, 32415, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, 1307, -2543, 11047, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, -23225, -3348, -11864, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, -984, -1762, -15152, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, -12799, -5206, -21179, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, 38134, -5013, -6521, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, 20883, -3312, -5994, "ADDONWORLD.ZEN");
spawnBot(SHADOWBEAST_ADDON_FIRE, -5319, -4698, -24556, "ADDONWORLD.ZEN");
